Bug 116411 - Navigator's Page Next randomly stops paging; Navigator's Previous Page always pages correctly.
Summary: Navigator's Page Next randomly stops paging; Navigator's Previous Page always...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:7.5.0
Keywords: preBibisect, regression
Depends on:
Blocks: Navigator
  Show dependency treegraph
 
Reported: 2018-03-14 23:08 UTC by russell
Modified: 2022-08-02 03:44 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Next Page demo (901.74 KB, video/x-matroska)
2022-04-01 06:23 UTC, Jim Raykowski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description russell 2018-03-14 23:08:26 UTC
Description:
For your convenience I used LO's WG54-WriterGuideLO.odt for testing. When I open this document and click the Navigators Page Next, it randomly stops paging to the next page. Clicking the Page Next button advances a random number of pages and then stops working; Subsequent clicks of Page Next appear to do nothing.

When this occurs, clicking Previous Page and then Page Next works, until Page Next stops working again. Previous Page always works. Page Next randomly stops working.

Steps to Reproduce:
Test 1: Problem: Page Next - starting on Page 1

Steps:
1. Start (LO) and Open test document
2. View > Zoom > Entire Page
3. F5 to open Navigator
4. Click Next Page

Test 2: Problem:  Page Next - starting on page 300

Steps:
1. Start (LO) and Open test document
2. View > Zoom > Entire Page
3. F5 to open Navigator
4. Enter 300, Enter - The display was 1/2 page 299 and 1/2th 300 so I did a
   View > Zoom > Entire Page. This did not always occur. Some times (LO)
   positioned the document correctly on page 300.
5. Click Previous Page. (LO) goes back a page. Click Previous Page again, it
works, again, again, and again.
6. Now click Next Page. (LO) goes forward N page(s) and stops.

Actual Results:  
Test 1: Problem: Page Next - starting on Page 1

On (W), Navigator > Next Page, advanced 1 page and stopped.
The next click of Next Page did nothing.

On (L), Navigator > Next Page advanced 2 pages and stopped.
The next click of Next Page did nothing.

Test 2: Problem:  Page Next - starting on page 300

Previous Page always worked as expected.
Next Page stopped working after some random number of clicks.  I tried various
Previous Page (P) and Next Page (N). See the table below. I repeated the test
with the same (P) and got different (N). When I repeated a test I closed (LO),
restarted, and reopened the document.

NOTE: (P) always worked. Every click, moved a page. (N) did not work. I was
trying to see if there was a relationship between (P) and (N), or if clicking
(P) would make (N) work again. I didn't see a relationship, but by clicking (P)
(N) would work again for some random number. (N) stopped working after some
random number of clicks on both Windows and Linux.

(W)
P  N1 N2 N3
5  1  5  3
4  2  4  5
3  1  2  4
1  2  3  2
10 1  1  1
2  1  1  3
Page 200
0  2       - But only 1 full pages. There was 1 tiny movement.
1  1
5  5
Page 100   - The display was 1/4 page 99 and 3/4th 100 so I did a View > Zoom > Entire Page. Some times it was correct and displayed the entire page.
0  7       - But only 5 full pages. There were 2 tiny movements.
1  2       - But only 1 full page.

(L)
P  N1 N2 N3
5  7
4  6
3  4
1  2
10 2
2  3
Page 200
0  1      - No pages, actually repositioned on the page.
1  2
5  6
Page 100
0 10      - But only 8 pages. 2 clicks were just tiny movements.
1  2

Expected Results:
When Navigator > Page Next is clicked, LO should always advance to the next page.


Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:
LibreOffice Version (LO): 6.0.2.1

Test Document: WG54-WriterGuideLO.odt
https://documentation.libreoffice.org/en/english-documentation/writer/

Environments: (L) Linux Mint 17.3 KDE 4 & Linux Mint 18.3 Mate and (W) Window 7

I checked the KDE settings and Compositing type is OpenGL 3.1.

The Navigator > Next Page problem is not limited to View > Zoom > Entire Page. Any time the Zoom Factor was not 100% the Next Page failed at some random number of clicks.


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:56.0) Gecko/20100101 Firefox/56.0
Comment 1 Buovjaga 2018-03-16 14:06:28 UTC
(In reply to russell from comment #0)
> Actual Results:  
> Test 1: Problem: Page Next - starting on Page 1

I tried with a blank document from scratch, 7 pages with Ctrl-enter.
Latest version stops at page 4.
3.3 has no problem.
3.5.0 already has the problem (stops at page 2).

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 28e8c3e28bf4944ecad23961602b9b1f72613d39
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on March 15th 2018

Arch Linux 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4

Win 10
LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 2 QA Administrators 2019-03-17 03:51:34 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2021-03-17 04:20:27 UTC Comment hidden (obsolete, spam)
Comment 4 Jim Raykowski 2022-04-01 06:23:15 UTC
Created attachment 179244 [details]
Next Page demo

Here is a patch that seems to fix this issue and provides for all visible pages to be moved past on Page Next, e.g. when in single page view and pages 3, 4, and 5 are visible, 'Page Next' moves pages 6, 7, and 8 into view. Please see demo.

https://gerrit.libreoffice.org/c/core/+/132373
Comment 5 Buovjaga 2022-04-03 17:57:24 UTC
(In reply to Jim Raykowski from comment #4)
> Created attachment 179244 [details]
> Next Page demo
> 
> Here is a patch that seems to fix this issue and provides for all visible
> pages to be moved past on Page Next, e.g. when in single page view and pages
> 3, 4, and 5 are visible, 'Page Next' moves pages 6, 7, and 8 into view.
> Please see demo.
> 
> https://gerrit.libreoffice.org/c/core/+/132373

Nice. I first applied the patch from https://gerrit.libreoffice.org/c/core/+/132252 and then that newer one. I confirm that without the patches, clicking Next Page zoomed out like that gets me nowhere. With the patches I see the new range display of visible pages in the status bar.
Comment 6 Commit Notification 2022-08-01 14:32:40 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f181399656a0d4273c4cb0579bd0917448c54ddc

tdf#116411 fix Navigate By Page Next does not move the expected next

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.